---
- name: adding cluster in a secured way
  uri:
    url: '{{ argocd_server }}/api/v1/clusters'
    method: POST
    headers:
      Content-Type: "application/json"
      Cookie: "argocd.token={{ argocd_token }}"
    body:
      config:
        bearerToken: "{{ argocd_manager_token.stdout }}"
        tlsClientConfig: 
        
          caData: "{{ lookup('file', './rootCA.pem') | b64encode }}"
          #caData: " https://github.com/matancarmeli7/cloudlet/blob/master/ca/rootCA.pem | b64encode "
          #certData: "{{ lookup('file', './devCA.pem') | b64encode }}"
          insecure: false
      server: "{{ k8s_host }}"
    body_format: json
    validate_certs: yes
  when: openshift_custom_certificates
